Loading...
Searching...
No Matches
gtsam::ShonanAveragingParameters< d > Struct Template Reference

## Detailed Description

template<size_t d>
struct gtsam::ShonanAveragingParameters< d >

Parameters governing optimization etc.

## Public Member Functions

| ShonanAveragingParameters (const LevenbergMarquardtParams &lm=LevenbergMarquardtParams::CeresDefaults(), const std::string &method="JACOBI", double optimalityThreshold=-1e-4, double alpha=0.0, double beta=1.0, double gamma=0.0)
LevenbergMarquardtParams | getLMParams () const
void | setOptimalityThreshold (double value)
double | getOptimalityThreshold () const
void | setAnchor (size_t index, const Rot &value)
std::pair< size_t, Rot > | getAnchor () const
void | setAnchorWeight (double value)
double | getAnchorWeight () const
void | setKarcherWeight (double value)
double | getKarcherWeight () const
void | setGaugesWeight (double value)
double | getGaugesWeight () const
void | setUseHuber (bool value)
bool | getUseHuber () const
void | setCertifyOptimality (bool value)
bool | getCertifyOptimality () const
void | print (const std::string &s="") const
| Print the parameters and flags used for rotation averaging.

## Public Attributes

LevenbergMarquardtParams | lm
| LM parameters.
double | optimalityThreshold
| threshold used in checkOptimality
Anchor | anchor
| pose to use as anchor if not Karcher
double | alpha
| weight of anchor-based prior (default 0)
double | beta
| weight of Karcher-based prior (default 1)
double | gamma
| weight of gauge-fixing factors (default 0)
bool | useHuber
| if enabled, the Huber loss is used (default false)
bool | certifyOptimality
| if enabled solution optimality is certified (default true)

## Public Types

using | Rot = typename std::conditional<d == 2, Rot2, Rot3>::type
using | Anchor = std::pair<size_t, Rot>

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/sfm/ShonanAveraging.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/sfm/ShonanAveraging.cpp